Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.security
Class AccessManagerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.compoze.util.NestedException
                        |
                        +--com.compoze.security.AccessManagerException

All Implemented Interfaces:
  java.io.Serializable

public class AccessManagerException
extends NestedException

This exception is thrown by the `AccessManager` to indicate that an error occured. The reasons may vary. More information should be given at the time the exception is thrown.

See Also:
  `AccessManager`, Serialized Form

Constructor Summary
`AccessManagerException()` Constructor.
`AccessManagerException(java.lang.Exception e)` Constructor.
`AccessManagerException(java.lang.String s)` Constructor.
`AccessManagerException(java.lang.Throwable t)` Constructor.

Methods inherited from class com.compoze.util.NestedException
`getNestedException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccessManagerException

    public AccessManagerException()

  Constructor.

### AccessManagerException

    public AccessManagerException(java.lang.String s)

  Constructor.
  Parameters:
    `s` - message for the exception

### AccessManagerException

    public AccessManagerException(java.lang.Exception e)

  Constructor.
  Parameters:
    `e` - the underlying exception

### AccessManagerException

    public AccessManagerException(java.lang.Throwable t)

  Constructor.
  Parameters:
    `t` - the underlying throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.